var popup_time;
var popup_elem = 0;
var popup_show_timer = 0 ;
var popup_reset_timer = 0 ;

$(function() {
  popup_reset();

  $(".views-popup").appendTo("body");
});

Drupal.behaviors.viewsPopup = function(context) {
  $(".views-popup-row").mouseover(function() {
      popup_show(this);
    })
    .mouseout(function() {
      popup_hide(this);
    })
    .mousemove(function(e) {
      popup_move(this,e);
    });
}

function popup_id(e){
  return "#views-popup-" + $(e).attr("id");
}

function popup_move(me,e){
  var offset = $(me).offset();
  var myid = $(me).attr("id");
  var obj = document.getElementById(myid);
  var top, left;

  if (Drupal.settings.views_popup.follow_mouse){
    left = e.pageX + 15;
    top = e.pageY;
  } else {
    left = 20;
    top = 2 + obj.offsetHeight;
    while(obj){
      left += obj.offsetLeft;
      top  += obj.offsetTop;
      obj   = obj.offsetParent;
    }
  }
  $("#views-popup-" + myid).css({
    left: left + 'px',
    top: top + 'px'
  });
}


function popup_show(id) {
  var e ;
  e = $(popup_id(id));
  if (e == popup_elem) {
    return ; // already handled
  }
  if (popup_elem) {
    popup_elem.hide();
    popup_time = 0 ;
  }
  popup_elem = e;
  if ( popup_time == 0 ) {
    popup_show_now();
  } else {
    popup_show_timer = setTimeout("popup_show_now();",popup_time);
  }
}


function popup_show_now() {
  if(popup_elem) {
    popup_elem.show();
    popup_time = 0;
    clearTimeout(popup_reset_timer);
  }
}

function popup_hide(e) {
  var e;
  if(popup_elem) {
    popup_elem.hide();
    popup_elem = 0;
  }
  clearTimeout(popup_show_timer)
  clearTimeout(popup_reset_timer);
  popup_reset_timer = setTimeout('popup_reset()',Drupal.settings.views_popup.reset_time);
}

function popup_reset(){
  popup_time = Drupal.settings.views_popup.popup_delay;
}


